=== debian/changelog ===
horizon (2014.1.3-7+deb8u2) jessie-security; urgency=medium

  * CVE-2016-4428: Possible client side template injection in horizon. Applied
    upstream patch: "Escape angularjs templating in unsafe HTML" after rebasing
    it for Icehouse (Closes: #828967).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 15:24:16 +0200

horizon (2014.1.3-7+deb8u1) jessie-security; urgency=high

  * Fix CVE-2015-3219 with upstream patch (Closes: 788306).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 16:18:34 +0200

horizon (2014.1.3-7) unstable; urgency=medium

  * Fix Moscow timezone check and avoid FTBFS (Closes: #775636).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jan 2015 14:03:26 +0000

horizon (2014.1.3-6) unstable; urgency=high

  * CVE-2014-8124: Horizon denial of service attack through login page. Applied
    upstrema patch (Closes: #772710).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 19:41:02 +0800

horizon (2014.1.3-5) unstable; urgency=medium

  * Purge the /usr/share/openstack-dashboard/openstack_dashboard folder when
    purging openstack-dashboard (Closes: #769101).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 05:24:26 +0800

horizon (2014.1.3-4) unstable; urgency=medium

  * Added Dutch debconf translations thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #766414).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 16:12:13 +0800

horizon (2014.1.3-3) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Added patch to fix wrong WSGI application with Django 1.7.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 16:43:58 +0000

horizon (2014.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - 0006_fix-TEMPLATE_DIRS-must-be-tuple.patch
    - 0007-Rename-add_error-methods-to-avoid-conflict-with-Djan.patch
    - 0010_Tentative-fix-for-a-test-suite-failure-after-the-las.patch
    - CVE_2014-3594_stable-icehouse.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 21:19:01 +0800

horizon (2014.1.2-4) unstable; urgency=medium

  * Moves the libapache2-mod-wsgi (>= 2.3) dependency to
    openstack-dashboard-apache.
  * Disable test_update_project_when_default_role_does_not_exist() which is
    failing under Django 1.7 (Closes: #755651).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2014 23:33:28 +0800
