=== debian/changelog ===
horizon (1:2014.1.5-0ubuntu2.2) trusty; urgency=medium

  * d/openstack-dashboard.postinst: Ensure permissions are not
    world-readable for /etc/openstack-dashboard/local_settings.py
    (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 08:55:44 -0400

horizon (1:2014.1.5-0ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: XSS in OpenStack Dashboard
    - debian/patches/CVE-2016-4428.patch: add escaping to
      horizon/utils/escape.py, openstack_dashboard/settings.py,
      openstack_dashboard/test/settings.py.
    - debian/patches/ship_escape.py: ship new file created by security
      patch.
    - CVE-2016-4428

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Aug 2017 08:41:07 -0400

horizon (1:2014.1.5-0ubuntu2) trusty; urgency=medium

  * Fix "Unable to Connect to Neutron" error message which is displayed
    in various UI panels. (LP: #1476417)
    - d/p/fix-neutron-connection-error.patch - Removes the erroneous
      usage of the FloatingIPManager.is_supported() method.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 27 Jul 2015 10:37:15 -0700

horizon (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (4ff165c) (LP: #1467533):
    - [78b6f5e] Fix exponentially growing AJAX updates for table rows
    - [86a6628] Handle RequestURITooLong error in large instance table
    - [2a6fe4a] Fix host listing in live migration
    - [9109812] Exclude security group related quotas when the extension disabled
    - [4ff165c] horizon ignores region for identity service
  * d/p/fix-host-listing-live-migration.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:26 -0400

horizon (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:37:04 -0400

horizon (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (b14a2ec) (LP: #1432608):
    - [4f12ca8] Fix metering daily display
    - [e00979e] Use floats instead of integer in memory calculation of admin dashboard
    - [0eef0d8] Removing Moscow's timezone check
    - [c37aafa] Remove the urlquote to arguments passed to reverse
    - [61d09f6] Horizon login page contains DOS attack mechanism
    - [33f2b93] Prevent leaking `target` info into subsequent `policy.check()` calls
    - [a04aa21] Tolerate completely missing floating_ips
    - [ad1a893] Fixing Neutron Subnet Details help text
    - [7dd9ca6] Handle negative values in total*Used for Cinder absolute limits
    - [2b292e8] Workaround for negative vals in total*Used in nova absolute_limits
    - [e5a9037] Update WSGI app creation to be compatible with Django 1.7
    - [b14a2ec] Run router dashboard unit tests by default
  * d/p/fix-dashboard-django-wsgi.patch: Rebased
  * d/p/fix-requirements.patch: Rebased
  * d/p/fix-host-listing-live-migration.patch: Cherry picked from
    https://review.openstack.org/#/c/149621/

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 08:58:30 +0000

horizon (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  * Fix Ubuntu theme region switcher dropdown (LP: #1396318) 

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Wed, 03 Dec 2014 14:00:30 -0500

horizon (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Chris Johnston ]
  * Fix Ubuntu theme dropdown and confirmation button (LP: #1308651).

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (dc8e46f) (LP: #1377136):
    - [ba524b0] template to rely on the the "id" attribute
    - [ad2d428] Rename add_error methods: Django 1.7 conflict
    - [8dfe113] Replace Ceilometer ClientException with HTTPException
    - [f5e1ff4] Add missing "load url from future" in a container template
    - [839c53d] Add OS_REGION_NAME to openrc
    - [737fe40] Set the correct min_disk size when creating volume from image
    - [a8eeed9] Allow forms to disable autofill in all browsers
    - [e32a00d] Fix endpoint error when running keystone on apache
    - [faac9e7] Not able to delete a pseudo-folder via horizon
    - [b6d6e15] Set python hash seed to 0 in tox.ini
    - [ba908ae] Fix XSS issue with the unordered_list filter
    - [9a5894b] Long container names no longer break the page
    - [c9cb128] TEMPLATE_DIRS must be a tuple
    - [95dcdae] Proper port for LBaaS members
    - [dc8e46f] Use default_project_id as user project for keystone v3

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 09:00:21 -0400

horizon (1:2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (4a70f4c) (LP: #1354159):
    - [2b9c566] Import translations for Icehouse stable update
    - [015f24c] Fix security group modal header overflow
    - [785a526] Disable broken unit test (related to "Change Password")
    - [eb3a40a] Replace UserManager with None in tests
    - [e66fbc3] Sort security group rules by protocol and port
    - [a855b0c] Avoid AttributeError: SecurityGroup error handle
    - [937436f] adapt to python-novaclient-2.18.0
    - [32a7b71] Fix multiple Cross-Site Scripting (XSS) vulnerabilities.
    - [43ac907] add httplib2 explicitly to requirements.txt
    - [0b2352e] Prevent error message when creating a user
    - [765e6d3] Fix issues with importing the Login form
    - [a29cdbc] Fix formatting of heat exceptions
    - [b527f22] Image uploads should always happen in the background
    - [4a70f4c] Fix the dot overlaps with the table border in Availability Zones table

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 09:50:22 -0400

horizon (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (fbd5b2e) (LP: #1328134):
    - [e492c7e] Updated from global requirements

