## horizon 2014.2

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-compressor (>= 1.3),
 python-django (>= 1.4),
 python-django-pyscss (>= 1.0.3),
 python-glanceclient (>= 1:0.13.1),
 python-heatclient (>= 0.2.9),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-lockfile,
 python-memcache,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.17.0),
 python-openstack-auth (>= 1.1.6),
 python-pbr (>= 0.6),
 python-pyscss (>= 1.2.1),
 python-saharaclient (>= 0.7.1),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx,
 python-swiftclient (>= 1:2.2.0),
 python-troveclient (>= 1.0.4),
 python-tz
Standards-Version: 3.9.5
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/juno

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-compressor (>= 1.3),
 python-django (>= 1.4),
 python-django-pyscss (>= 1.0.3),
 python-glanceclient (>= 1:0.13.1),
 python-heatclient (>= 0.2.9),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-lockfile,
 python-memcache,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.17.0),
 python-openstack-auth (>= 1.1.6),
 python-pbr (>= 0.6),
 python-pyscss (>= 1.2.1),
 python-saharaclient (>= 0.7.1),
 python-six (>= 1.7.0),
 python-swiftclient (>= 1:2.2.0),
 python-troveclient (>= 1.0.4),
 python-tz,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ubuntu theme for the OpenStack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.
