## horizon 2014.2.3

=== debian/changelog ===
horizon (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (cf15014) (LP: #1443429)
    - [a6d726c] Translation update for Juno 2014.2.3
    - [04d07da] Make Image Description an input field instead of a textarea
    - [947bc63] Pass correct project ID to get tenant_usages
    - [d4bc8a0] Handle RequestURITooLong error in large instance table
    - [e22c90e] Updated from global requirements
    - [6614c74] Better color arrangement in distribution pie charts
    - [9d2ff23] Use shades of blue for distribution pie charts
    - [bacd732] Automatically expand the current panel group on dashboard expansion
    - [8b0349f] Fix dynamic select layout when help block is displayed
  * debian/bundle-xstatic.sh: Update for newer python-pip.
 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Apr 2015 10:29:51 -0400

horizon (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (697888b) (LP: #1418695):
    - [889f9d9] Update project limits when using input selector
    - [be88d14] Update project limits when flavor changes
    - [0723e70] Fix metering daily display
    - [5603578] Fix Horizon crash when parsing volume list
    - [e100279] Only enable one images filter button
    - [60d01cc] add missing icons for Project > Images filter
    - [8a717d9] Fix sorting by size for Project->Images table
    - [070771b] removing mandatory mark for post_creation tab
    - [9120a7f] Removing Moscow's timezone check
    - [e8a66a4] Horizon login page contains DOS attack mechanism
    - [962a0a7] Fix popup error when volume service disabled
    - [bcac1a8] Gracefully handle failures to retrieve a flavor
    - [2cd9435] Return eye-icon to its place when validation message is shown
    - [9b11e2e] Fix timezones in line chart
    - [bca0f47] Disable router HA attribute due to Neutron bug
    - [b2dc30d] Remove glyphicon-eye-open icon from Description
    - [697888b] Remove selenium dependency when not using selenium tests
  * d/p/prevent_login_page_DOS.patch: Dropped. Fix is now upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:28:53 -0500

horizon (1:2014.2.1-0ubuntu2) utopic; urgency=medium

  [ Corey Bryant ]
  * d/p/prevent_login_page_DOS.patch: Cherry picked from
    https://review.openstack.org/#/c/140358/.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Dec 2014 15:01:50 -0500

horizon (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (9e777f2) (LP: #1398952):
    - [ae7f053] Translation import for 2014.2.1 Juno stable update
    - [13b0c0e] Prevent leaking `target` info into subsequent `policy.check()` calls
    - [9144738] Fix dashboard nav, when panelgroup empty
    - [a2edb3d] Fix Instance Details error when using Cinder V2
    - [d44c663] Make labels in Network Topology translatable
    - [ed895a1] Make update metadata segments translatable
    - [d546faf] Make status in instance details screen translatable
    - [146a722] Handle negative values in total*Used for Cinder absolute limits
    - [7dbdd1c] Fix borders for "Actions" column in Firefox
    - [9e777f2] Update WSGI app creation to be compatible with Django 1.7
  * d/p/fix-dashboard-django-wsgi.patch: Rebased.
  * d/bundle-xstatic.sh: Extract tar file after generating it.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:22:56 -0500
