## horizon 2014.2.4

=== debian/changelog ===
horizon (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 11:55:19 -0500

horizon (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:48 -0500

horizon (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (74f8333) (LP: #1518323):
    - [9fa3d6a] Handle situation when endpoint deleted
    - [184f5a6] Fix TemplateSyntaxError at hypervisors view
    - [6b9f019] Fix addition of plugin panel to panel group
    - [dab92e7] Escape the description param from heat template
    - [6c944b5] Sanitation of metadata passed from Django
    - [db641dc] Fix exponentially growing AJAX updates for table rows
    - [2433dbb] Silently drop access to non-existent flavours
    - [ad47548] Removing HA interfaces from port list
    - [8b80fe7] Fix Terminate Instance on network topology page
    - [75c88f3] Show ports from shared nets in floating IP assoc
    - [74f8333] Fix incorrect ca arguments for calling ceilometer client

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 14:52:35 -0500
