=== debian/control ===
--- 
+++ 
@@ -43,16 +43,20 @@
  python-compressor (>= 1.3),
  python-django (>= 1.4),
  python-django-pyscss (>= 1.0.3),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.13.1),
  python-heatclient (>= 0.2.9),
+ python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:0.10.0),
+ python-kombu (>= 2.5.0),
  python-lockfile,
  python-memcache,
  python-netaddr (>= 0.7.6),
  python-neutronclient (>= 1:2.3.6),
  python-novaclient (>= 1:2.17.0),
  python-openstack-auth (>= 1.1.6),
+ python-oslo.config (>= 1:1.4.0),
  python-pbr (>= 0.6),
  python-pyscss (>= 1.2.1),
  python-saharaclient (>= 0.7.1),
