=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     python-babel,
                     python-ceilometerclient (>= 1.0.13),
                     python-cinderclient (>= 1:1.1.0),
                     python-compressor,
                     python-coverage,
                     python-django,
                     python-django-nose,
                     python-django-pyscss,
                     python-eventlet (>= 0.16.1),
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.1.0),
                     python-kombu,
                     python-mock,
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.22.0),
                     python-openstack-auth (>= 1.1.7),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint,
                     python-pyscss,
                     python-saharaclient (>= 0.8.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools,
                     python-troveclient (>= 1.0.7),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter,
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search,
                     python-xstatic-qunit,
                     python-xstatic-rickshaw,
                     python-xstatic-smart-table,
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xvfbwrapper,
                     python-yaml,
Build-Conflicts: python-rednose,
                 python-unittest2,
Standards-Version: 3.9.6
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-babel,
         python-ceilometerclient (>= 1.0.13),
         python-cinderclient (>= 1:1.1.0),
         python-compressor,
         python-django,
         python-django-pyscss,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-heatclient (>= 0.3.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.1.0),
         python-kombu,
         python-memcache,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-openstack-auth (>= 1.1.7),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-pint,
         python-pyscss,
         python-saharaclient (>= 0.8.0),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-troveclient (>= 1.0.7),
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter,
         python-xstatic-jsencrypt,
         python-xstatic-magic-search,
         python-xstatic-qunit,
         python-xstatic-rickshaw,
         python-xstatic-smart-table,
         python-xstatic-spin,
         python-xstatic-term.js,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: memcached,
            openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.
